﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using MintXCore;

namespace MailTrail2
{
    partial class MintChipForm
    {
        private void InitializeTally()
        {
            this.TallyDateRangeButton.Click += new EventHandler(TallyDateRangeButton_Click);
            this.TallyRefreshButton.Click += new EventHandler(TallyRefreshButton_Click);
        }

        void TallyRefreshButton_Click(object sender, EventArgs e)
        {
            AsyncGetMintXChipTransactions(10, true);
        }

        void TallyDateRangeButton_Click(object sender, EventArgs e)
        {
            DateTime fromDate = this.TallyFromDateTimePicker.Value;
            DateTime toDate = this.TallyToDateTimePicker.Value;
            if (toDate < fromDate)
            {
                this.SettingsErrorProvider.SetError(this.TallyFromDateTimePicker, "From date can not be more than to date");
            }
            else
            {
                AsyncGetMintXChipTransactions(fromDate, toDate);
            }
        }

        private void MintChipFrom_Tally_Selecting()
        {
            foreach (TabPage tp in this.TallyTabControl.TabPages)
            {
                this.TallyTabControl.TabPages.Remove(tp);
            }
            this.TallyTabControl.Visible = true;
            if ((mail == null) || (chipHandler == null))
            {
                this.TallyTabControl.TabPages.Add(this.TallyLoginTabPage);
            }
            else
            {
                AsyncGetMintXChipTransactions(10, false);
                this.TallyTabControl.TabPages.Add(this.TallyAllTabPage);
            }
        }

        private void MintChipForm_Tally_Enter()
        {
            this.TallyChipIdTextBox.Text =  this.ChipIdTextBox.Text; // save a computation
            this.TallyBalanceTextBox.Text = this.chipHandler.GetChipBalance();
            this.TallyTransactionsDataGridView.Rows.Clear();
            foreach (Transactions t in this.transactionHistory)
            {
                this.TallyTransactionsDataGridView.Rows.Add(t.LongDesc());
            }
        }
    }
}
