﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Mint.MintChip.Api;
using Mint.MintChip.Contract;

namespace MintXCore
{
    public static class UtilConverters
    {
        public static string ToMoney(this int money)
        {
            return (Convert.ToDecimal(money) / 100.00M).ToString("C");
        }
    }

    public class Transactions
    {
        internal enum Type
        {
            Credit,
            Debit
        }

        private DateTime transactionDate;
        private int amount;
        private int balance;
        private string description;
        private Type transactionType;

        internal Transactions(DateTime d, int amt, int bal, string desc, Type t)
        {
            transactionType = t;
            transactionDate = d;
            amount = amt;
            balance = bal;
            description = desc; 
        }

        public String[] LongDesc() {
            string[] desc = new string[5];
            desc[0] = transactionDate.ToShortDateString();
            desc[1] = description;
            if (transactionType == Type.Credit)
            {
                desc[2] = amount.ToMoney();
                desc[3] = string.Empty;
            } else {
                desc[2] = string.Empty;
                desc[3] = amount.ToMoney();
            }
            desc[4] = balance.ToMoney();
            return desc;
        }
    }
}
